<!DOCTYPE html>
{% block content %}
<html>
    <head>
        {% load django_simple_bulma %}
        {% bulma %}
        {% font_awesome %}
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <script src="https://use.fontawesome.com/releases/v5.15.4/js/all.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <style>
            html{
                background-color: #f0efef;
            }
        </style>
        <script>
            var expanded = false;
            $('document').ready(function(){

                function showCheckboxes() {
                var checkboxes = document.getElementById("checkboxes");
                if (!expanded) {
                    checkboxes.style.display = "block";
                    expanded = true;
                } else {
                    checkboxes.style.display = "none";
                    expanded = false;
                }
            }
            });
            
        </script>
        <script>
            $(document).ready(function() {
                $("#octet").on("click", function(){
                    if ($("#octet_trigger").is(":hidden")) {
                        $("#octet_trigger").show();
                    } else {
                        $("#octet_trigger").hide();
                    }
                });

                $("#ram").on("click", function(){
                    if ($("#ram_trigger").is(":hidden")) {
                        $("#ram_trigger").show();
                    } else {
                        $("#ram_trigger").hide();
                    }
                });

                $("#cpu").on("click", function(){
                    if ($("#cpu_trigger").is(":hidden")) {
                        $("#cpu_trigger").show();
                    } else {
                        $("#cpu_trigger").hide();
                    }
                });

                $("#monitoring").on("click", function(){
                    if ($("#communaute").is(":hidden")) {
                        $("#communaute").show();
                    } else {
                        $("#communaute").hide();
                    }
                });

                $('#description').keyup(function () {
                    var max = 100;
                    var len = $(this).val().length;
                    if (len >= max) {
                        $('#lblRemainingCount').text(' you have reached the limit');
                    } else {
                        var char = max - len;
                        $('#lblRemainingCount').text(char + ' characters left');
                    }
                });

            });
        </script>
    </head>
    
    <body>
        <div class="basic">
            {% include "navbar.html" %}
        </div>
        <section class="section">
                <div class="box">
                    <header class="box-header">
                        <div class="container is-fluid notification is-fullhd">
                            <div class="level">
                                <div class="level-left">
                                    <div class="level-item">
                                        <h1 class="title is-4">Création</h1>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </header>
                    <div class="box-content">
                        <div class="content">
                            <form class="form" action="/configuration/create/" method="post">
                                {% csrf_token %}
                            
                                <div class="field">
                                    <label>Nom: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="name" id="name" required>
                                    </div>
                                <div>
                                <div class="field">   
                                    <label>IP: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="ip" id="ip" required>
                                    </div>
                                </div>
                                <div class="field">   
                                    <label>Description: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="description" value="{{description}}" id="description" required>
                                    </div>
                                    <p id="lblRemainingCount"></p>
                                </div>
                                <div class="field"> 
                                    <label class="checkbox">
                                        <input name="monitoring" id="monitoring" type="checkbox" >
                                        Monitoring
                                    </label>   
                                </div>
                                <div class="field" id="communaute" hidden>   
                                    <label>Communauté: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="communaute" id="communaute" value="None">
                                    </div>
                                </div>
                                <div class="field">   
                                    <label>OID: </label>
                                    <div class="control">
                                        <div class="field">
                                            <label><input class="checkbox" style="margin-left: 1%;" type="checkbox" id='octet' name="debit"> Débit</label>
                                        </div>
                                        <div class="field">   
                                            <label><input class="checkbox" style="margin-left: 1%;" type="checkbox" id='ram' name="ram"> RAM</label>
                                        </div>                  
                                        <div class="field">   
                                            <label><input class="checkbox" style="margin-left: 1%;" type="checkbox" id='cpu' name="cpu"> CPU</label>
                                        </div>
                                        <div class="field" id="octet_trigger" hidden>
                                            <label>Octet max alerte (en KB) : </label>
                                            <div class="control">
                                                <input class="input" type="text" name="octet_trigger" value="0">
                                            </div>
                                        </div>
                                        <div class="field" id="ram_trigger" hidden>
                                            <label>RAM % alerte: </label>
                                            <div class="control">
                                                <input class="input" type="text" name="ram_trigger" value="0">
                                            </div>
                                        </div>
                                        <div class="field" id="cpu_trigger" hidden>
                                            <label>CPU % alerte: </label>
                                            <div class="control">
                                                <input class="input" type="text" name="cpu_trigger" value="0">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="field">
                                    <div class="control">
                                        <div>
                                            <input class="button is-link is-light" type="submit" value="Créer">
                                        </div>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </section>
    </body>
</html>
{% endblock content %}
